Subject: Re: bug#9634: Coreutils 8.13 - Orphaned symlinks start with 'argetm' when using dircolors

From: Pádraig Brady <[email-masked]>
Date: Fri, 30 Sep 2011 22:49:09 +0100

On 09/30/2011 09:49 PM, Jim Meyering wrote:
> Jason Glassey wrote:
>> I had seen this was a bug supposed to be fixed in Coreutils 8.3, but I
>> can still replicate this bug in
>> Coreutils 8.13
>>
>> In my .bashrc file, I have this alias:
>>
>> alias ls='ls -Lp --color=auto --group-directories-first'
>>
>> Symlinks appear fine when the target exist, but when the symlink
>> becomes orphaned (such as a
>> symlink to a removable drive), the symlink starts with 'argetm'
>>
>> I only get this problem when I use the '--dereference' option, and
>> when the target does not exist
>> when using dircolors.
> 
> Thanks for the report.
> Between yours and the one in http://bugs.debian.org/586765,
> I was able to create a stand-alone reproducer.
> The trick was to realize that you have customized your
> LS_COLORS envvar to include ln=target.
> Do this in an empty directory:
> 
>     $ ln -s /no-such dangle
>     $ env LS_COLORS=ln=target ls --dereference --color
>     ls: cannot access dangle: No such file or directory
>     argetmdangle
> 
> While looking at that, I noticed two minor problems, fixed by this.
> Pádraig, I expect to push this before your fix.  It looks like it
> will be easy for you to adjust your patch accordingly.

Heh, of course we picked the same time to handle this :)
Your fixes look good, and I'll adjust mine mentioning
the debian bug too.

thanks,
Pádraig.